stages:
  - build
  - release

package:
  stage: build
  image: silex/emacs:29.1
  before_script:
    - curl -fsSL https://raw.github.com/doublep/eldev/master/webinstall/eldev | sh
    - export PATH="/root/.local/bin:$PATH"
  script:
    - eldev lint
    - eldev compile -W
    - eldev package
  artifacts:
    paths:
      - dist/

release:
  stage: release
  only:
    - tags
  image: registry.gitlab.com/gitlab-org/release-cli:latest
  dependencies:
    - package
  variables:
    DIST_DIR: $CI_PROJECT_URL/-/jobs/$CI_JOB_ID/artifacts/raw/dist
    FILENAME: $CI_PROJECT_NAME-$CI_COMMIT_TAG.tar
  release:
    tag_name: $CI_COMMIT_TAG
    description: $CI_COMMIT_DESCRIPTION
    assets:
      links:
        - name: $FILENAME
          url: $DIST_DIR/$FILENAME
  script:
    - echo Release job
  artifacts:
    paths:
      - dist/
    expire_in: never
